package com.yeejoin.amos.boot.biz.common.bo;

import java.util.List;

/**
 * 部门vo
 *
 * @author DELL
 **/
public class DepartmentBo {
    private String departmentName;
    private String departmentCode;
    private String level;
    private Integer deptOrgCode;
    private String orgCode;
    private String departmentDesc;
    private Long companySeq;
    private Long sequenceNbr;
    private Long parentId;
    private List<DepartmentBo> children;

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }
    
    public String getDepartmentCode() {
		return departmentCode;
	}

	public void setDepartmentCode(String departmentCode) {
		this.departmentCode = departmentCode;
	}

	public Integer getDeptOrgCode() {
		return deptOrgCode;
	}

	public void setDeptOrgCode(Integer deptOrgCode) {
		this.deptOrgCode = deptOrgCode;
	}

	public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getDepartmentDesc() {
        return departmentDesc;
    }

    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    public Long getCompanySeq() {
        return companySeq;
    }

    public void setCompanySeq(Long companySeq) {
        this.companySeq = companySeq;
    }

    public Long getSequenceNbr() {
        return sequenceNbr;
    }

    public void setSequenceNbr(Long sequenceNbr) {
        this.sequenceNbr = sequenceNbr;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public List<DepartmentBo> getChildren() {
        return children;
    }

    public void setChildren(List<DepartmentBo> children) {
        this.children = children;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }
}
